This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1021489 - initscripts does not respect ARPCHECK setting
initscripts does not respect ARPCHECK setting
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
19
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Lukáš Nykrýn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 07:48 EDT by Catalin(ux) M. BOIE
Modified: 2015-02-18 06:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:37:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Catalin(ux) M. BOIE 2013-10-21 07:48:41 EDT
Description of problem:
ARPCHECK is not respected.
If I am setting ARPCHECK1="no", still the duplication message appears.

Version-Release number of selected component (if applicable):
initscripts-9.47-1.fc19.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Make a computer on the network to always respond to arp requests (I have a Cisco that is doing it).
2. Add ARPCHECK="no"
3. Restart network.

Actual results:
Error, some other host already uses address x.x.x.x.

Expected results:
No output.

Additional info:
The problem is in ifup-eth: when REALDEVICE="ethx", ARPCHECK[idx]=no,
[ "${REALDEVICE}" != "lo" ] && [ "${arpcheck[$idx]}" != "no" ] evaluates to "1". And the error message is shown and sadly, an "exit 1" is performed.

I will rewrite that code like this:
if [ "${REALDEVICE}" != "lo" ]; then
        if [ "${arpcheck[${idx}}]" != "no" ]; then
                /sbin/arping -q -c 2 -w 3 -D -I ${REALDEVICE} ${ipaddr[$idx]}
                if [ "${?}" = "1" ]; then
                        net_log $"Error, some other host already uses address ${ipaddr[$idx]}."
                        exit 1
                fi
        fi
fi

Thank you!
Comment 1 Lukáš Nykrýn 2013-10-21 07:58:09 EDT
I think this was fixed in 9.48 https://git.fedorahosted.org/cgit/initscripts.git/commit/?id=ce8b72f604079a5516a12f840ed6a64629b0131e
I will backport it.
Comment 2 Fedora End Of Life 2015-01-09 17:20:40 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-18 06:37:41 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.